# Commandline Application - 4xpath

#### command-line tool for performing XPath queries on XML documents

> 4XPath command-line application

## Usage

    4xpath
    [--help] [--version] [--define=<NAME=VALUE>]
    [--namespace=<PREFIX=NAMESPACE>] [--stacktrace-on-error]
    [--string] source-uri expression

## Options

Name | Description
--- | ---
-h, --help | show detailed help message
-V, --version | display version information and exit
-D, --define=<NAME=VALUE> | Bind a top-level parameter
-N, --namespace=<PREFIX=NAMESPACE> | Define a namespace/prefix binding
-e, --stacktrace-on-error | Display a stack trace when an error occurs
--string | Print the string-value of the results

## Arguments

Name | Description
--- | ---
source-uri | The URI of the XML document to parse, or "-" to indicate standard input. The document's root node will be used as the context node.
expression | The XPath expression to evaluate